import 'package:flutter/material.dart';

import 'package:flutter_in_app_update/flutter_in_app_update.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: RaisedButton(
            child: Text("Check for update"),
            onPressed: () {
              FlutterInAppUpdate.checkForUpdate();
            },
          ),
        ),
      ),
    );
  }
}
